<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:cfg="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd"
                exclude-result-prefixes="cfg">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:variable name="VERSION">6</xsl:variable>

    <xsl:template match="@*[contains(.,'current()')]">
        <xsl:attribute name="{local-name()}">
            <xsl:value-of select="substring-before(.,'current()')"/>
            <xsl:text>parent_match()</xsl:text>
            <xsl:value-of select="substring-after(.,'current()')"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="cfg:processor[@type='InsertXmlProcessor']/cfg:parameter[@name='select']/@eval[contains(.,'current()')]" priority="9">
        <xsl:attribute name="{local-name()}">
            <xsl:value-of select="substring-before(.,'current()')"/>
            <xsl:text>match()</xsl:text>
            <xsl:value-of select="substring-after(.,'current()')"/>
        </xsl:attribute>
    </xsl:template>

    <xsl:template match="text()[contains(.,'current()')]">
        <xsl:value-of select="substring-before(.,'current()')"/>
        <xsl:text>match()</xsl:text>
        <xsl:value-of select="substring-after(.,'current()')"/>
    </xsl:template>

    <xsl:template match="cfg:variable/@xml"/>

    <!-- common -->
    <xsl:template match="/cfg:config/@version">
        <xsl:attribute name="version">
            <xsl:value-of select="$VERSION"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@* | comment()" priority="-1">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="*" priority="-1">
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>